import 'dart:io';

import 'package:hmg_patient_app_new/core/common_models/smart_watch.dart';
import 'package:hmg_patient_app_new/features/smartwatch_health_data/watch_connectors/health_connect_helper.dart';
import 'package:hmg_patient_app_new/features/smartwatch_health_data/watch_connectors/huawei_watch_connecter.dart';
import 'package:hmg_patient_app_new/features/smartwatch_health_data/watch_connectors/samsung_health.dart';
import 'package:hmg_patient_app_new/features/smartwatch_health_data/watch_connectors/watch_helper.dart';

class CreateWatchHelper {
  static WatchHelper getWatchName(SmartWatchTypes watchType) {
    /// if running device is ios
    if(Platform.isIOS) return HealthConnectHelper();
    switch(watchType){
      case SmartWatchTypes.samsung:
        return SamsungHealth();
      case SmartWatchTypes.huawei:
        return HuaweiHealthDataConnector();
       default:
         return SamsungHealth();
    }
  }
}